complexType "InterestAccrualsCompoundingMethod"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | (floatingRateCalculation | fixedRate), compoundingMethod??
</...>

Content Model Elements (3):

  compoundingMethod (defined in InterestAccrualsCompoundingMethod complexType),
  fixedRate (defined in InterestAccrualsMethod complexType),
  floatingRateCalculation (defined in InterestAccrualsMethod complexType)

Annotation
A type defining the way in which interests are accrued: the applicable rate (fixed or floating reference) and the compounding method.
Type Definition Detail

Type Derivation Tree InterestAccrualsMethod (extension) InterestAccrualsCompoundingMethod

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="InterestAccrualsCompoundingMethod"> <xsd:complexContent> <xsd:extension base="InterestAccrualsMethod"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
compoundingMethod

  Type: | CompoundingMethodEnum, simple content

  If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Flat" | - | Flat compounding. Compounding excludes the spread. Note that the first compounding period has it's interest calculated including any spread then subsequent periods compound this at a rate excluding the spread. See: http://www.FpML.org
  "None" | - | No compounding is to be applied. See: http://www.FpML.org
  "Straight" | - | Straight compounding. Compounding includes the spread. See: http://www.FpML.org
  "SpreadExclusive" | - | Spread Exclusive compounding. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.